<?php

/**
 * formatuje tak date posta, żeby zamiast konkretnej daty wyświetlało : wczoraj , przed wczoraj, x dni temu, x tygodni temu, x miesięcy temu, x lat temu
 * 
 * @param $str
 * @return unknown_type
 */

function smarty_function_dictionary($param, &$smarty){

	$dictionaryArray = Registry::Get("dictionary");
	$keyword = $param["keyword"];
	
	unset($param["keyword"]);
	return vsprintf($dictionaryArray[$keyword], $param);
}
?>